Aller au contenu


Studi

Inscrit(e) (le) 26 oct. 2011
Déconnecté Dernière activité aujourd'hui, 04:18
-----

#974109 [Switch] Fail0verflow montre une vidéo de KDE (Linux) sur Switch

Posté par Studi - 18 février 2018 - 14:59

"..."

Le multi-touch étant parfaitement fonctionnel, il est donc possible de réaliser de nombreuses fonctions, comme régler la luminosité, scroller verticalement, horizontalement, exécuter des programmes, tandis que nous pouvons également voir que le rendu 3D semble fonctionnel, il ne manquerait donc que la partie audio ? 
 
Pour rappel, cette exécution de code est basé sur un exploit coldboot lié à un bug dans le bootrom qui d'après la Team Fail0verflow ne peut être corrigé.
 
La team se permet meme un petit "not bad :-)" en commentaire sur le tweet de Kate Temkin concernant "Fusée Gelée"

 

Pour ce qui est de l'audio même si il n'y a rien dans la vidée qui prouve que celui ci est bien opérationnel, je pense qu'il est pris en charger (ou tout du moins c'est probable). Après tout, la Switch embarque du Realtek ALC5639 (qui est présent sur Jetson TK1 par exemple).

 

Le coup du "not bad ;-)" je le trouve un peut provocateur ^^ surtout que le doute est de mise quant a une libération de leurs travail.  

 

ça sent super bon tout ça  :) dire qu'il y a quelques mois on disait que c'était une des consoles les plus sécurisées mdr elle aura pas tenu un an  :)
Merci en tout cas ça promet

 

Une sécurité plus élever... ne veut pas dire inviolable, il faut voir l'informatique comme une porte d'entrée. Ce n'est pas inviolable/ impénétrable mais le temps pour y parvenir est variable (d'ou le système d’étoiles pour celles ci et encore il faut que sont installation comme ces "accessoires" soient conformes) ;). Pour le cas de la Switch il y a plusieurs facteurs qui ont mener a une évolution rapide du hack dessus mais celle ci est pourtant plus sécuriser que la gamme 3DS.

 

Si un vendeur te dis que tel porte d'entrée est inviolable c'est soit qu'il ne sais pas de quoi qu'il parle ou soit qu'il te ment pour te vendre la porte ;). En informatique c'est la même chose, il y a "différents niveaux" de sécurité si je peux dire mais rien n'est réellement inviolable. 

 

Vous pensez ce sera risqué pour le live (ban)?

 

Comme l'a dit "Le Plouc" (cela fait bizarre de citer un tel pseudo XD), on ne peux prévoir a l'avance mais il y a forcément un risque de ban. Ce risque fait parti du hack sur console connecté a internet, pour qu'il ne soit pas présent il faudrait que Nintendo n'est aucune façon de savoir si tel ou tel truc est été modifier ou non et il ne faudrait pas jouer a un jeu avant sa date de mise en vente officiel (même avec une console non modifier il y a un risque de ban dans ce cas, certaines personnes en ont déjà fait les frais sur 3DS a cause de jeux vendu avant la date de sortie).  




#973970 [Switch] Des problèmes de fiabilité sur la solution Xecuter

Posté par Studi - 17 février 2018 - 15:05

Salut,
Voici la « vrai » liste des consoles <= au firmware 3.0.0 !
Personnellement j’ai une SW en 4.1 et l’autre fraîchement achetée il y a une semaine en version 2.3.
Mise à part trouver un vendeur eBay ayant en vente une console en <= 3.0.0 en EN ou U.S., il faut aller en Italie là où les SW ne se sont pas bien vendus.

XAW40001
XAW7000 -> 70008
XAW10011
XAJ400100 -> 191
XAJ10011
XAJ7000 / XAJ70011 -> 13

Plus aucune en France n’est disponible

 

C'est sur que de trouver une Switch en 3.0.0 max est de plus en plus difficile (normal vue le succès qu'elle a) mais il y a encore des pack Nintendo Switch édition Splatoon 2 donc sa doit être encore jouable d'en trouver quelques exemplaires même si cela devient de plus en plus difficile. Après comme tu l'as dit a juste titre il y a aussi l'importation qui peut apporter une plus grande facilité de trouver une Switch sur un FW plus intéressent surtout que la Switch n'est pas zoner (merci Nintendo).  

 

Oh oui je viens de voir ! C'est excellent ça ! Mais donc il faudrait mettre à jour de suite avant que Nintendo sorte une nouvelle mise a jour, c'est ça ?

 

Personnellement je préfère ne pas mettre à jour par prudence et rester sur 3.0.0, il manque encore des éléments intéressent (CFW...) et je ne veux pas risquer de devoir attendre plus longtemps pour cela. C'est peut être inutile car il pourrait très bien y avoir une libération sur un large spectre de FW mais comme on dit il vaut mieux prévenir que guérir. 

 

 

 

 

Bonjour je suis en 2.3.0 est ce que je suis bon pour un futur hack :)?
 

 
Bonjour. Oui, il ne faut pas dépasser le FW 3.0.0 ou tout du moins c'est préférable de ne pas le dépasser. D'après les dires de la team Xecuter, avec leurs puces tous les FW déjà sorti seraient compatibles mais si il y a un HBL... qui sort sa sera probablement sur 3.0.0.  
 
Si le piratage est une priorité pour toi contrairement au fait de jouer au jeux les plus récents il serait préférable que tu reste sur ton FW. Si tu veux jouer au jeux qui sont compatibles avec au maximum la maj 3.0.0 il te faudra  Pokken Tournament DX avec le première version, voir http://www.logic-sun...e-2#entry972886 pour plus amples renseignements. Pour voir les versions FW qu'il faut avoir pour pouvoir jouer a certains jeux je t'invite a regarder https://gbatemp.net/...version.485959/  ;)
 

Salut je viens d'acheter une Switch neuve qui je crois est en 4.0.1, mais elle me propose de la mettre à jour d'après vous je peux ou ca risque de me bloquer pour un futur hack?
 

 
Au delà du FW 3.0.0 c'est plus compliquer, que tu soit sur 4.0.1 ou la dernière version c'est la même master key ce qui est déjà ça mais honnêtement je ne connais pas les détails de la dernière maj car étant en dessous je ne m'en suis pas soucier. Je sais qu'au dessus du FW 3.0.0 certaines failles ont été reboucher mais comme je l'ai écrit ci dessus "D'après les dires de la team Xecuter, avec leurs puces tous les FW déjà sorti seraient compatibles" mais pour avoir certaines choses comme HBL par exemple il te faudra probablement attendre plus longtemps. Après je ne peux pas te garantir ce qui sortira pour le FW 4.0.1 sera compatible avec le 4.1.0.
 
C'est a toi seul de décider de mettre a jour ou non ta console  ;). je te met tout de même une https://gbatemp.net/...version.485959/ des jeux (qui fera que de s’agrandir) avec les FW minimums qu'il faut jour y jouer. 
 
Désoler si je ne t'aide pas vraiment via mes propos, tu serais dans le même cas que Kaydow ou dans un cas proche il serait plus facile de te répondre.
 
J'édite mon message car je viens de penser a une chose, si tu vise le piratage au plus tôt possible, selon la date a la quel que tu as acheter ta console tu pourrais peut être faire jouer le droit de rétractation pour en prendre une autre avec un FW inférieur via https://docs.google....8nvM/edit#gid=0. A voir si tu est prêt a perde ta progression des jeux si tel est le cas. Je te donne cette info/ "méthode extrême" au cas ou que tu serais intéresser. 

 

Merci de ta réponse plutôt complète ;)


Et voilà ......Switch TrustZoneHax on 4.x ;-)

Apparemment du nouveau?

 

 

De rien, j'essais d'être le plus complet dans mes réponses. Les autres messages des membres sont tout aussi important.

 

Vis a vis de la Switch je suis qu'un simple utilisateur et hormis hypothétiquement une éventualité (d'on j'hésite encore a faire cela sur N3DS XL ou sur Switch et je n'ai qu'une pièce pour ce faire ^^) de simplement implanter du wireless charger juste pour le fun je ne pense pas faire autre chose comme apport donc c'est que de la futilité a la quel je suppose que la plus part des personnes n'en a rien a faire  XD.

 

Oui il y a du nouveau, comme tu as pu le voir dans les news. Cela est très prometteur, c'est un bon signal envoyer aux FW "élever" mais il manque encore du CFW... Il faudra encore être patient pour pouvoir faire "joujou" avec tout cela XD. Par contre a voir comment Nintendo va réagir et bien sur il faudra par mesure de  précaution éviter les futures FW (au dessus du 4.1.0).  

 

Est il possible de mettre a jour la console depuis un support usb? Ca permettrait de mettre a jour sans se planter

 

Pouvoir faire les maj par usb (ou même via micro sd) serait trop beau, cela n'est pas dans l’intérêt de Nintendo contrairement au système actuel  ;)




#973793 [Switch] Des problèmes de fiabilité sur la solution Xecuter

Posté par Studi - 16 février 2018 - 15:13

Moi je dis qu’il se sont trop avancé en disant sur n’importe quelle firmware.
Le dernier doit leur poser problème.

 

Je ne pense pas que le problème viendrait de là. Je suis plus tôt du même avis que Kim_Kaphwan a savoir que le glitch n'est pas stable.La team a les puces prototypes, il y a des chances que dans la phase de teste de celles ci il y a eu un pépin et que de ce fait la team doit réviser sa copie. Le fait de créer x versions/ révisions pour arriver au produit commercialisée est monnaie courante. 

 

Ce qu'il peut arriver vis a vis du dernier firmware c'est que Nintendo sort une nouvel maj plus tôt que prévu et change de master key. Ce qui ferait la 5ème master key (sous le nom de "MasterKey4" voir ci dessous). Après il est facilement imaginable qu'une team ne donne pas encore de solution volontairement pour les firmwares qui utilise la dernière master key (4.0.0 à 4.1.0) et qu'elle attend que Nintendo la change pour la donner.

 

MasterKey0:  1.0.0 - 2.3.0

MasterKey1:  3.0.0 
MasterKey2:  3.0.1-3.0.2 

MasterKey3:  4.0.0-4.1.0 




#973077 [SWITCH] Fail0verflow tease Linux sur Switch

Posté par Studi - 07 février 2018 - 15:39

Cela est intéressent. Le pcb est un FTDI Friend de chez adafruit avec un régulateur de tentions (d'on je n'ai pas réussi a lire la ref même en améliorent la photo).  A noter qu'au niveau du bas de la glissière du joy-con droit on y voit la présence de plusieurs fils qui ne correspondent en rien a ceux de la Switch ou joy-con, a la limite le brun du dessus pourrait éventuellement corresponde a celui du dock (c'est sen certitude surtout que je me suis baser sur une image de google pour émettre cette possibilité).  

 

Les deux fils a l’extérieur du FTDI Friend sont connecter comme cela:

-Bleu    :  ←RTS   

-Rouge :  →RX      

 

Les fils qui sont sur le pcb relier au régulateur sont connecter comme cela:

-Rouge le plus proche de la Switch    :  Signal logic level +5v 

-Rouge le plus éloigner de la Switch  :  Signal logic level +3v 

-Noir                                                    :  GND 

 

284-01.jpg284-02.jpg